﻿Imports System.Drawing
Imports C1.C1Preview
Imports C1.WPF.Pdf

Class MainWindow

    Sub New()

        ' This call is required by the designer.
        InitializeComponent()
        Dim md As New C1MultiDocument
        md.Items.Add(Merge("Arial"))
        md.Items.Add(Merge("Arial Narrow"))
        md.Items.Add(Merge("Courier New"))

        md.Generate()
        ' Add any initialization after the InitializeComponent() call.
        md.Export("test.pdf")


    End Sub


    Public Function Merge(font As String) As C1PrintDocument
        C1PrintDocument.UsePrinterForDefaultPageSettings = False

        Dim doc As C1PrintDocument = New C1PrintDocument()

        doc.FontHandling = FontHandling.EmbedFonts
        doc.Style.Font = New System.Drawing.Font(font, 9, GraphicsUnit.Point)
        doc.PageLayouts.Default.PageSettings.PaperKind = PaperKind.A4
        doc.PageLayouts.Default.PageSettings.TopMargin = New Unit(0.5, UnitTypeEnum.Cm)
        doc.PageLayouts.Default.PageSettings.BottomMargin = New Unit(1, UnitTypeEnum.Cm)
        doc.PageLayouts.Default.PageSettings.LeftMargin = New Unit(2, UnitTypeEnum.Cm)
        doc.PageLayouts.Default.PageSettings.RightMargin = New Unit(1.3, UnitTypeEnum.Cm)
        For i As Integer = 0 To 25
            Dim rt As New RenderText
            rt.Text = String.Format("Line {0}", i)
            doc.Body.Children.Add(rt)
        Next
        Dim cr As RenderText = New RenderText()

        doc.PageLayouts.Default.Overlay = cr

        Return doc
    End Function
End Class
